Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
lists
/
{direction}
/
{type}
List Entries
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/lists/{direction}/{type} \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "entries": [
    {
      "entry": "<string>",
      "organization_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "pod_id": "<string>",
      "reason": "<string>",
      "read_only": true,
      "inbox_id": "<string>"
    }
  ],
  "limit": 123,
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

direction
enum<string>
required

Direction of list entry.

Available options:
send,
receive,
reply
type
enum<string>
required

Type of list entry.

Available options:
allow,
block

Query Parameters

limit
integer

Limit of number of items returned.

page_token
string

Page token for pagination.

Response

200 - application/json

Response with status 200

count
integer
required

Number of items returned.

entries
PodListEntry · object[]
required

Ordered by entry ascending.

limit
integer

Limit of number of items returned.

next_page_token
string

Page token for pagination.